package mcmas.core;

import org.jocl.CL;

public enum MCMCommandQueueProperty implements MCMFlag {
	ENABLE_OOO_MODE  (CL.CL_QUEUE_OUT_OF_ORDER_EXEC_MODE_ENABLE),
	ENABLE_PROFILING (CL.CL_QUEUE_PROFILING_ENABLE);
	
	public final long value;
	
	private MCMCommandQueueProperty(long value) {
		this.value = value;
	}
	
	@Override
	public long getValue() {
		return value;
	}

}
